Loading...
Searching...
No Matches
juce::InterProcessLock::ScopedLockType Class Reference

## Detailed Description

Automatically locks and unlocks an InterProcessLock object.

This works like a ScopedLock, but using an InterprocessLock rather than a CriticalSection.

See also
  ScopedLock

The documentation for this class was generated from the following file:

- juce_core/threads/juce_InterProcessLock.h

## Public Member Functions

| ScopedLockType (InterProcessLock &l)
| Creates a scoped lock.
| ~ScopedLockType ()
| Destructor.
bool | isLocked () const noexcept
| Returns true if the InterProcessLock was successfully locked.

## Constructors and Destructors

## ScopedLockType()

juce::InterProcessLock::ScopedLockType::ScopedLockType | ( | InterProcessLock & | l | ) |

inline explicit

Creates a scoped lock.

As soon as it is created, this will lock the InterProcessLock, and when the ScopedLockType object is deleted, the InterProcessLock will be unlocked.

Note that since an InterprocessLock can fail due to errors, you should check isLocked() to make sure that the lock was successful before using it.

Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen! Best just to use it as a local stack object, rather than creating one with the new() operator.

References juce::InterProcessLock::enter(), and juce::InterProcessLock::InterProcessLock().

## ~ScopedLockType()

juce::InterProcessLock::ScopedLockType::~ScopedLockType | ( |  | ) |

inline

Destructor.

The InterProcessLock will be unlocked when the destructor is called.

Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen!

## Member Functions

## isLocked()

bool juce::InterProcessLock::ScopedLockType::isLocked | ( |  | ) | const

inline noexcept

Returns true if the InterProcessLock was successfully locked.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited